dpkg-statoverride(1)

NOME
dpkg-statoverride - sobrepõe a propriedade e o modo dos ficheiros

RESUMO
dpkg-statoverride [option...] command

DESCRIÇÃO
“stat overrides” são um modo de dizer dpkg(1) para usar um dono ou modo diferente para um caminho quando um pacote é instalado (isto aplica-se a qualquer objecto de sistema de ficheiros com que o dpkg lide, incluindo directórios, dispositivos, etc.). Isto pode ser usado para forçar programas que são normalmente definidos a um uid a serem instalados sem uma bandeira setuid, ou apenas executável por um determinado grupo.

dpkg-statoverride é um utilitário para gerir sobreposições de estatísticas. Tem três funções básicas: adicionar, remover e listar sobreposições.

COMANDOS

--add user group mode path
    Adiciona uma sobreposição para path. path não precisa existir nem ser conhecida pelo dpkg quando este comando é usado; a sobreposição será guardada e usada mais tarde. Os utilizadores e grupos podem ser especificados pelo seu nome (por exemplo, root ou nobody), ou pelo seu número ao anexar o número com um ‘#’ (por exemplo #0 ou #65534). O mode precisa de ser especificado em octal.

    Se for especificado --update e caminho existir, é imediatamente definido para o proprietário e modo novos.

--remove path
    Remove uma sobreposição para path, o estado de path é mantido inalterado por este comando.

--list [glob-pattern]
    Lista todas as sobreposições. Se for especificado um padrão glob, restringe o resultado às sobreposições que correspondem ao glob.

--help
    Mostra a mensagem de utilização e termina.

--force-help
    Oferece ajuda acerca das opções --force-thing (desde dpkg 1.19.5).

--version
    Mostra a versão e termina.

OPÇÕES

--admindir directory
    Define o directório de administração para directory. Isto é onde o ficheiro statoverride é guardado. A predefinição é «/home/linuxbrew/.linuxbrew/var/lib/dpkg» se DPKG_ADMINDIR não estiver definido.

--instdir directory
    Define o directório de instalação, o que se refere ao directório onde os pacotes são instalados (desde dpkg 1.19.2). A predefinição é «/» se DPKG_ROOT não estiver definido.

--root directory
    Define o directório raiz para directory, o que define o directório de instalação para «directory» e o directório administrativo para «directory/home/linuxbrew/.linuxbrew/var/lib/dpkg» (desde dpkg 1.19.2) se DPKG_ROOT não estiver definido.

--force-things
--no-force-things, --refuse-things
    Força ou recusa (no-force e refuse significam o mesmo) a fazer algumas coisas (desde dpkg 1.19.5). things é uma lista separada por vírgulas de coisas especificadas em baixo. --force-help mostra uma mensagem a descreve-las. A coisas marcadas com (*) já são forçadas por predefinição.

    Aviso: Estas opções são maioritariamente destinadas a serem usadas apenas por experts. Usa-las sem total conhecimento dos seus efeitos pode danificar todo o seu sistema.

    all:
        Liga (ou desliga) todas as opções de forçar.

    statoverride-add:
        Sobrescreve uma sobreposição de estatística existente quando a adiciona (desde dpkg 1.19.5).

    statoverride-remove:
        Ignora uma sobreposição de estatística em falta quando a remove (desde dpkg 1.19.5).

    security-mac(*):
        Usa segurança baseada em Mandatory Access Controls (MAC) específica da plataforma quando instala ficheiros no sistema de ficheiros (desde dpkg 1.19.5). Em sistemas Linux a implementação usa SELinux.

    not-root:
        Tenta (des)instalar coisas mesmo não sendo root (desde dpkg 1.21.8).

--force
    Força uma acção, mesmo que a verificação de sanidade a proíba Isto é necessário para sobrepor uma sobreposição existente. Esta opção está descontinuada (desde dpkg 1.19.5), é substituída por --force-all.

--update
    Imediatamente tenta alterar o caminho para o novo dono e modo se existir.

--quiet
    Fica menos detalhado sobre o que faz.

ESTADO À SAÍDA

0   A acção requisitada foi executada com sucesso.

1   Para --list, se não existirem sobreposições ou nenhuma corresponder ao glob fornecido.

2   Erro fatal ou irrecuperável devido a utilização de linha de comandos inválida, ou interações com o sistema, tais como acesso à base de dados, alocações de memória, etc.

AMBIENTE

DPKG_ROOT
    Se definido e as opções --instdir ou --root não foram especificadas, será usado como o directório raiz do sistema de ficheiros (desde dpkg 1.19.2).

DPKG_ADMINDIR
    Se definido e as opções --admindir ou --root não foram especificadas, será usado como o directório de dados do dpkg.

DPKG_DEBUG
    Define a máscara de depuração (desde dpkg 1.21.10) a partir dum valor octal. As bandeiras presentemente aceites estão descritas na opção dpkg --debug, mas nem todas estas bandeiras podem ter um efeito neste programa.

DPKG_FORCE
    Se definido e nenhuma da opções --force-... forem especificadas, será usado como a opção de forçar a usar (desde dpkg 1.19.5).

DPKG_COLORS
    Define o modo de cor (desde dpkg 1.18.5). Os valores actualmente aceites são: auto (predefinido), always e never.

DPKG_NLS
    Se definida, será usada para decidir se deve activar o Suporte a Linguagem Nativa. Também como conhecido como suporte de internacionalização (ou i18n) (desde dpkg 1.22.7). Os valores aceites são 0 e 1 (predefinição).

DPKG_PATH_PASSWD
    Define o nome-de-caminho para o ficheiro passwd do sistema. Este caminho é relativo ao directório --root. A predefinição é /etc/passwd.

    Desde dpkg 1.22.16.

DPKG_PATH_GROUP
    Define o nome-de-caminho para o ficheiro group do sistema. Este caminho é relativo ao directório --root. A predefinição é /etc/group.

    Desde dpkg 1.22.16.

FICHEIROS

/home/linuxbrew/.linuxbrew/var/lib/dpkg/statoverride
    Ficheiro que contém a lista actual de sobreposições de estados do sistema. Está localizado no directório de administração do <dpkg>, juntamente com outros ficheiros importantes para o dpkg, como status ou available.

    Nota: O dpkg-statoverride preserva uma copia antiga deste ficheiro, com a extensão "-old", antes de o substituir pelo novo.

VEJA TAMBÉM
dpkg(1).

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro <a_monteiro@gmx.com>.